Debian Bug report logs - #637809
transition: perl 5.14

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: perl@packages.debian.org

Date: Sun, 14 Aug 2011 17:51:01 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, perl@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Sun, 14 Aug 2011 17:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to perl@packages.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 14 Aug 2011 17:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: transition: perl 5.14
Date: Sun, 14 Aug 2011 18:49:02 +0100
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hello,

After a few months of rebuild testing and bug filing, perl 5.14
packages are getting into shape and are nearly ready to transition
into unstable.

The list of packages which currently can't be rebuilt (whether perl 5.14
specific or not) is:

In testing:

- libapache2-mod-perl2
- libapache-authenhook-perl
- libapreq2
- libdbd-sybase-perl
- libjavascript-perl
- libpdl-io-hdf5-perl
- libsignatures-perl
- libthreads-perl
- libwx-perl
- ming
- mongodb-perl
- postgresql-8.4
- postgresql-9.0
- prima
- subversion
- znc

(there are bugs filed for all of these; I'll mark them as blocking
this transition bug once I have the bug number back).

Not in testing:

- collectd
- gpib
- libafs-perl
- libclutter-perl
- libdevice-cdio-perl
- libembperl-perl
- libgtk2-mozembed-perl
- libqt-perl

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 637809: 631045, 637602, 628507, 634531, 628503, 628499, 636656, 634397, 636132, 628501, 636762, 634141, 629255, 636651, 628500, and 628505 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 14 Aug 2011 17:54:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'perl@packages.debian.org' from 'Dominic Hargreaves <dom@earth.li>' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 14 Aug 2011 18:00:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 634141 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 20 Aug 2011 18:54:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 634141 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 20 Aug 2011 18:54:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 638894 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 23 Aug 2011 21:28:33 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 638367 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 29 Aug 2011 10:39:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 639677 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 29 Aug 2011 11:00:54 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 640346 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 18 Sep 2011 09:21:28 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 640347 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 18 Sep 2011 09:21:35 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 642146 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 19 Sep 2011 20:33:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 642149 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 19 Sep 2011 20:39:34 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 642149 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 19 Sep 2011 20:39:37 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 643038 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 26 Sep 2011 18:57:55 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 631045 and 634397 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Sun, 02 Oct 2011 19:27:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 646286 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 22 Oct 2011 22:06:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 646295 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 22 Oct 2011 22:15:25 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 646297 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 22 Oct 2011 22:18:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 646299 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 22 Oct 2011 22:24:03 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 646299 Request was from Emmanuel Bouthenot <kolter@debian.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 06:51:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 646299 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:17:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Mon, 31 Oct 2011 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 31 Oct 2011 22:27:06 GMT) Full text and rfc822 format available.

Message #50 received at 637809@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 637809@bugs.debian.org
Cc: perl@packages.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Mon, 31 Oct 2011 22:24:05 +0000
On Sun, Aug 14, 2011 at 06:49:02PM +0100, Dominic Hargreaves wrote:
> After a few months of rebuild testing and bug filing, perl 5.14
> packages are getting into shape and are nearly ready to transition
> into unstable.

Hi release team,

I wondered if you had any idea when you might be able to handle this
transition, so that we can get perl 5.14 into wheezy - and when I should
upgrade the severity of the blocking bugs.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Tue, 01 Nov 2011 10:55:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 01 Nov 2011 10:55:19 GMT) Full text and rfc822 format available.

Message #55 received at 637809@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 637809@bugs.debian.org
Cc: perl@packages.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Tue, 1 Nov 2011 11:51:00 +0100
On Mon, Oct 31, 2011 at 22:24:05 +0000, Dominic Hargreaves wrote:

> On Sun, Aug 14, 2011 at 06:49:02PM +0100, Dominic Hargreaves wrote:
> > After a few months of rebuild testing and bug filing, perl 5.14
> > packages are getting into shape and are nearly ready to transition
> > into unstable.
> 
> Hi release team,
> 
> I wondered if you had any idea when you might be able to handle this
> transition, so that we can get perl 5.14 into wheezy - and when I should
> upgrade the severity of the blocking bugs.
> 
After meta-gnome3 is in might work.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Tue, 01 Nov 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 01 Nov 2011 11:03:13 GMT) Full text and rfc822 format available.

Message #60 received at 637809@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Julien Cristau <jcristau@debian.org>, 637809@bugs.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Tue, 01 Nov 2011 11:55:39 +0100
On 11/01/2011 11:51 AM, Julien Cristau wrote:
> On Mon, Oct 31, 2011 at 22:24:05 +0000, Dominic Hargreaves wrote:
> 
>> On Sun, Aug 14, 2011 at 06:49:02PM +0100, Dominic Hargreaves wrote:
>>> After a few months of rebuild testing and bug filing, perl 5.14
>>> packages are getting into shape and are nearly ready to transition
>>> into unstable.
>>
>> Hi release team,
>>
>> I wondered if you had any idea when you might be able to handle this
>> transition, so that we can get perl 5.14 into wheezy - and when I should
>> upgrade the severity of the blocking bugs.
>>
> After meta-gnome3 is in might work.
> 

I thought we had ICU or OCaml next?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Tue, 01 Nov 2011 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 01 Nov 2011 11:30:05 GMT) Full text and rfc822 format available.

Message #65 received at 637809@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 637809@bugs.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Tue, 1 Nov 2011 12:27:25 +0100
On Tue, Nov  1, 2011 at 11:55:39 +0100, Mehdi Dogguy wrote:

> On 11/01/2011 11:51 AM, Julien Cristau wrote:
> > On Mon, Oct 31, 2011 at 22:24:05 +0000, Dominic Hargreaves wrote:
> > 
> >> On Sun, Aug 14, 2011 at 06:49:02PM +0100, Dominic Hargreaves wrote:
> >>> After a few months of rebuild testing and bug filing, perl 5.14
> >>> packages are getting into shape and are nearly ready to transition
> >>> into unstable.
> >>
> >> Hi release team,
> >>
> >> I wondered if you had any idea when you might be able to handle this
> >> transition, so that we can get perl 5.14 into wheezy - and when I should
> >> upgrade the severity of the blocking bugs.
> >>
> > After meta-gnome3 is in might work.
> > 
> 
> I thought we had ICU or OCaml next?
> 
ICU can probably be done in parallel if need be, as it shouldn't need
everything to go in together.  ocaml I'm not going to handle, but I
guess would collide through at least perl4caml.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Sat, 05 Nov 2011 11:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 05 Nov 2011 11:15:14 GMT) Full text and rfc822 format available.

Message #70 received at 637809@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>
Cc: 637809@bugs.debian.org, perl@packages.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Sat, 5 Nov 2011 11:12:24 +0000
On Tue, Nov 01, 2011 at 11:51:00AM +0100, Julien Cristau wrote:
> On Mon, Oct 31, 2011 at 22:24:05 +0000, Dominic Hargreaves wrote:
> 
> > On Sun, Aug 14, 2011 at 06:49:02PM +0100, Dominic Hargreaves wrote:
> > > After a few months of rebuild testing and bug filing, perl 5.14
> > > packages are getting into shape and are nearly ready to transition
> > > into unstable.
> > 
> > Hi release team,
> > 
> > I wondered if you had any idea when you might be able to handle this
> > transition, so that we can get perl 5.14 into wheezy - and when I should
> > upgrade the severity of the blocking bugs.
> > 
> After meta-gnome3 is in might work.

Okay, I don't see a release.debian.org bug for that, so I'll await further
instructions on this bug.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Sat, 05 Nov 2011 11:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 05 Nov 2011 11:27:22 GMT) Full text and rfc822 format available.

Message #75 received at 637809@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 637809@bugs.debian.org, perl@packages.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Sat, 5 Nov 2011 12:24:18 +0100
On Sat, Nov  5, 2011 at 11:12:24 +0000, Dominic Hargreaves wrote:

> On Tue, Nov 01, 2011 at 11:51:00AM +0100, Julien Cristau wrote:
> > On Mon, Oct 31, 2011 at 22:24:05 +0000, Dominic Hargreaves wrote:
> > 
> > > On Sun, Aug 14, 2011 at 06:49:02PM +0100, Dominic Hargreaves wrote:
> > > I wondered if you had any idea when you might be able to handle this
> > > transition, so that we can get perl 5.14 into wheezy - and when I should
> > > upgrade the severity of the blocking bugs.
> > > 
> > After meta-gnome3 is in might work.
> 
> Okay, I don't see a release.debian.org bug for that, so I'll await further
> instructions on this bug.
> 
That would be #637331 (and #633304, since ocaml started in parallel).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Sat, 12 Nov 2011 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 12 Nov 2011 14:18:03 GMT) Full text and rfc822 format available.

Message #80 received at 637809@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>
Cc: 637809@bugs.debian.org, perl@packages.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Sat, 12 Nov 2011 14:16:14 +0000
On Sat, Nov 05, 2011 at 12:24:18PM +0100, Julien Cristau wrote:
> On Sat, Nov  5, 2011 at 11:12:24 +0000, Dominic Hargreaves wrote:
> 
> > On Tue, Nov 01, 2011 at 11:51:00AM +0100, Julien Cristau wrote:

> > > After meta-gnome3 is in might work.
> > 
> > Okay, I don't see a release.debian.org bug for that, so I'll await further
> > instructions on this bug.
> > 
> That would be #637331 (and #633304, since ocaml started in parallel).

Okay, so those two have finished. I'll upgrade the blocking bugs now.

Thanks,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Sat, 12 Nov 2011 14:30:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 12 Nov 2011 14:30:14 GMT) Full text and rfc822 format available.

Message #85 received at 637809@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 636132@bugs.debian.org, 629255@bugs.debian.org, 636651@bugs.debian.org, 628500@bugs.debian.org
Cc: control@bugs.debian.org, 637809@bugs.debian.org
Subject: Upgrading perl 5.14 transition blocking bugs
Date: Sat, 12 Nov 2011 14:27:33 +0000
severity 636132 serious
severity 629255 serious
severity 636651 serious
severity 628500 serious
thanks

As we are nearly ready to begin the perl 5.14 transition, I'm upgrading
the severity of these blocking bugs.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Sat, 12 Nov 2011 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 12 Nov 2011 20:03:03 GMT) Full text and rfc822 format available.

Message #90 received at 637809@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>
Cc: 637809@bugs.debian.org, perl@packages.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Sat, 12 Nov 2011 21:00:44 +0100
On Sat, Nov 12, 2011 at 14:16:14 +0000, Dominic Hargreaves wrote:

> On Sat, Nov 05, 2011 at 12:24:18PM +0100, Julien Cristau wrote:
> > On Sat, Nov  5, 2011 at 11:12:24 +0000, Dominic Hargreaves wrote:
> > 
> > > On Tue, Nov 01, 2011 at 11:51:00AM +0100, Julien Cristau wrote:
> 
> > > > After meta-gnome3 is in might work.
> > > 
> > > Okay, I don't see a release.debian.org bug for that, so I'll await further
> > > instructions on this bug.
> > > 
> > That would be #637331 (and #633304, since ocaml started in parallel).
> 
> Okay, so those two have finished. I'll upgrade the blocking bugs now.
> 
Right, I was going to say go ahead with the upload to sid.

I set up http://release.debian.org/transitions/html/perl5.14.html
earlier today, which should have the affected packages (let me know if
you notice issues with it).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Sat, 12 Nov 2011 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 12 Nov 2011 21:27:03 GMT) Full text and rfc822 format available.

Message #95 received at 637809@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>
Cc: 637809@bugs.debian.org, perl@packages.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Sat, 12 Nov 2011 21:25:12 +0000
On Sat, Nov 12, 2011 at 09:00:44PM +0100, Julien Cristau wrote:
> On Sat, Nov 12, 2011 at 14:16:14 +0000, Dominic Hargreaves wrote:
> 
> > On Sat, Nov 05, 2011 at 12:24:18PM +0100, Julien Cristau wrote:
> > > On Sat, Nov  5, 2011 at 11:12:24 +0000, Dominic Hargreaves wrote:
> > > 
> > > > On Tue, Nov 01, 2011 at 11:51:00AM +0100, Julien Cristau wrote:
> > 
> > > > > After meta-gnome3 is in might work.
> > > > 
> > > > Okay, I don't see a release.debian.org bug for that, so I'll await further
> > > > instructions on this bug.
> > > > 
> > > That would be #637331 (and #633304, since ocaml started in parallel).
> > 
> > Okay, so those two have finished. I'll upgrade the blocking bugs now.
> > 
> Right, I was going to say go ahead with the upload to sid.
> 
> I set up http://release.debian.org/transitions/html/perl5.14.html
> earlier today, which should have the affected packages (let me know if
> you notice issues with it).

Okay, I'll see if I can get it uploaded in the next few days then.

BTW, I think

Affected: .depends ~ /perlapi|libperl/ | .pre-depends ~ /perlapi|libperl/

should be

Affected: .depends ~ /perlapi-5.1|libperl5.1/ | .pre-depends ~ /perlapi-5.1|libperl5.1/

There are one or two false positives in the current list, such as
request-tracker4 which depends on libperlio-eol-perl...

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added blocking bug(s) of 637809: 647120 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 13 Nov 2011 11:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Sun, 13 Nov 2011 16:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 13 Nov 2011 16:51:12 GMT) Full text and rfc822 format available.

Message #102 received at 637809@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Julien Cristau <jcristau@debian.org>
Cc: 637809@bugs.debian.org, perl@packages.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Sun, 13 Nov 2011 16:48:24 +0000
On Sat, Nov 12, 2011 at 09:25:12PM +0000, Dominic Hargreaves wrote:

> Okay, I'll see if I can get it uploaded in the next few days then.

5.14.2-3 uploaded.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 13 Nov 2011 21:00:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649004 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 20:12:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649006 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 20:12:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 648842 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 16 Nov 2011 23:15:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 648857 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 16 Nov 2011 23:15:20 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 648858 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 16 Nov 2011 23:15:23 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649055 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 07:57:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649058 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 08:36:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 625828 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 08:39:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649059 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 08:51:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649060 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 08:51:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649061 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 08:51:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649062 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 08:51:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649063 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 09:03:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 648954 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 17 Nov 2011 10:24:39 GMT) Full text and rfc822 format available.

Bug 649055 cloned as bug 649112. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 18:45:10 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 649112 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 19:45:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649118 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 17 Nov 2011 20:00:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649117 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 17 Nov 2011 20:00:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 634598 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 17 Nov 2011 21:33:03 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 649004 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 18 Nov 2011 11:48:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649177 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 18 Nov 2011 14:36:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649180 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 18 Nov 2011 15:15:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 648839 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 17:04:35 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 649118 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 17:18:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 625828 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 18 Nov 2011 18:57:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 649118 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 18 Nov 2011 18:57:08 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 648857 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 18 Nov 2011 19:48:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649302 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 18:51:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 637809: 649306 and 649307 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 19:24:06 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 634598 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 21 Nov 2011 11:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#637809; Package release.debian.org. (Mon, 21 Nov 2011 17:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 Nov 2011 17:36:03 GMT) Full text and rfc822 format available.

Message #169 received at 637809@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Colin Watson <cjwatson@ubuntu.com>, 649177@bugs.debian.org
Cc: 649174@bugs.debian.org, control@bugs.debian.org, 637809@bugs.debian.org
Subject: Re: Bug#649177: Add breaks on update-inetd when #649174 is fixed
Date: Mon, 21 Nov 2011 17:34:23 +0000
severity 649177 important
severity 649174 important
unblock 637809 by 649177
thanks

On Fri, Nov 18, 2011 at 02:47:17PM +0000, Colin Watson wrote:
> On Fri, Nov 18, 2011 at 02:32:52PM +0000, Dominic Hargreaves wrote:
> > Package: perl-base
> > Version: 5.14.2-5
> > Severity: serious
> > Justification: maintainer
> 
> Thanks.
> 
> > On Fri, Nov 18, 2011 at 02:14:05PM +0000, Colin Watson wrote:
> > > Making this truly robust will probably also involve having perl-base
> > > declare Breaks on versions of update-inetd prior to this patch being
> > > applied.  I've CCed perl@packages.debian.org in case they'd like to
> > > comment on this.
> > 
> > Only that I think that I ought to hold off on adding more Breaks
> > for a little while longer, otherwise I risk an explosion in the number
> > of small updates to perl. I was in two minds about whether to upload
> > 5.14.2-5 straight away or whether to wait..
> 
> Yep.  I suspect the impact of this is a bit less widespread than the
> doc-base one anyway.

Okay. I've tweaked the severities of both bugs related to this
issue, and unblocked the perl transition, to reflect the
not-quite-blocking-perl-transition status.

Serafeim: thanks for your response on this. Depending on how things
progress this week, we might be able to include a Breaks: before
perl transitions to testing.

Cheers,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Removed blocking bug(s) of 637809: 649177 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 21 Nov 2011 17:36:12 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 21 Nov 2011 22:21:20 GMT) Full text and rfc822 format available.

Notification sent to perl@packages.debian.org:
Bug acknowledged by developer. (Mon, 21 Nov 2011 22:21:20 GMT) Full text and rfc822 format available.

Message #176 received at 637809-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 637809-done@bugs.debian.org
Subject: Re: Bug#637809: transition: perl 5.14
Date: Mon, 21 Nov 2011 23:19:44 +0100
[Message part 1 (text/plain, inline)]
On Sun, Aug 14, 2011 at 18:49:02 +0100, Dominic Hargreaves wrote:

> After a few months of rebuild testing and bug filing, perl 5.14
> packages are getting into shape and are nearly ready to transition
> into unstable.
> 
      perl |   5.14.2-5 |       testing | source, amd64, armel, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc

Closing this bug.  Thanks to the perl maintainers and pkg-perl for their
awesome work.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug 648954 cloned as bug 652638. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 19 Dec 2011 14:42:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jan 2012 07:34:03 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 07 Oct 2012 14:27:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 637809: 637236 and 649307 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 07 Oct 2012 14:27:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Nov 2012 07:25:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:08:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.